
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define	FILELEN	0xd363

int main(int argc, char **argv)
{
	FILE	*infp, *outfp;
	int		c,add;

	if (argc != 3) {
		fprintf(stderr, "Usage: convcali4 infile outfile\n");
		exit(1);
	}


/* open files */

	if ((infp = fopen(argv[1], "rb")) == NULL) {
		perror(argv[1]);
		exit(1);
	}

	if ((outfp = fopen(argv[2], "wb")) == NULL) {
		perror(argv[2]);
		exit(1);
	}

	add = 0xd100 - 4;
	while ((c = fgetc(infp)) != EOF) {
		if (add < 0xd100) {
			add ++;
			continue;
		}
		if (add >= FILELEN) {
			break;
		}
		switch (add) {
			case 0xd110:
				fputc(0x03,outfp); break;
			case 0xd111:
				fputc(0xd0,outfp); break;

			case 0xd119:
				fputc(0x09,outfp); break;
			case 0xd11a:
				fputc(0xd7,outfp); break;

			case 0xd13e:
				fputc(0xc3,outfp); break;
			case 0xd13f:
				fputc(0x03,outfp); break;
			case 0xd140:
				fputc(0xd7,outfp); break;

			case 0xd2ae:
				fputc(0x09,outfp); break;
			case 0xd2af:
				fputc(0xd7,outfp); break;
			default:
				fputc(c,outfp); break;
		}
		add ++;
	}

	for (;add < 0xd380;add++) {
		fputc(0x00,outfp);
	}

	fclose(infp);
	fclose(outfp);

	return(0);
}
